--- old/usr/src/uts/common/fs/zfs/zil.c	2014-10-16 19:15:52.821335739 +0200
+++ new/usr/src/uts/common/fs/zfs/zil.c	2014-10-16 19:15:52.827859719 +0200
@@ -633,7 +633,7 @@
 	objset_t *os;
 	int error;
 
-	error = dmu_objset_own(osname, DMU_OST_ANY, B_FALSE, FTAG, &os);
+	error = dmu_objset_own_nolock(osname, DMU_OST_ANY, B_FALSE, FTAG, &os);
 	if (error != 0) {
 		cmn_err(CE_WARN, "can't open objset for %s", osname);
 		return (0);
@@ -691,7 +691,7 @@
 
 	ASSERT(tx == NULL);
 
-	error = dmu_objset_hold(osname, FTAG, &os);
+	error = dmu_objset_hold_nolock(osname, FTAG, &os);
 	if (error != 0) {
 		cmn_err(CE_WARN, "can't open objset for %s", osname);
 		return (0);
